package com.yihu.jw.entity.hospital.doctor;


import com.yihu.jw.entity.iot.gateway.IdEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;

/**
 * 成员权限。
 *
 * @author Sand
 */
@Entity
@Table(name = "dr_admin_team_member_authority")
public class AdminTeamMemberAuthority extends IdEntity {
    private long teamdId;
    private long roleId;
    private long functionId;

    public long getTeamdId() {
        return teamdId;
    }

    @Column(name = "team_id")
    public void setTeamdId(long teamdId) {
        this.teamdId = teamdId;
    }

    public long getRoleId() {
        return roleId;
    }

    @Column(name = "role_id")
    public void setRoleId(long roleId) {
        this.roleId = roleId;
    }

    public long getFunctionId() {
        return functionId;
    }

    @Column(name = "function_id")
    public void setFunctionId(long functionId) {
        this.functionId = functionId;
    }
}
